.rc-picker {
  @apply relative inline-flex items-center dark:text-gray-300 leading-5 rounded-md focus-within:border-gray-200 border-gray-200 dark:border-gray-600 focus-within:ring focus-within:ring-green-300 dark:focus-within:border-gray-500 dark:focus-within:ring-gray-300 dark:bg-gray-700 border h-12 text-sm focus-within:outline-none w-full bg-gray-100 border-transparent focus-within:bg-white;
}
.rc-picker-rtl {
  direction: rtl;
  .rc-picker-input {
    text-align: right;
  }
  .rc-picker-clear {
    right: auto;
    left: 4px;
  }
}
.rc-picker-focused {
}
.rc-picker-panel-layout {
  @apply border bg-white rounded-md;
}
.rc-picker-panels {
  @apply divide-x;
}
.rc-picker-panel {
  @apply inline-block align-top;
}
.rc-picker-panel-focused {
  border-color: blue;
}
.rc-picker-panel-rtl {
  direction: rtl;
  .rc-picker-time-panel-column {
    & > li {
      .rc-picker-time-panel-cell-inner {
        padding: 0 12px 0 0;
        text-align: right;
      }
    }
  }
}
.rc-picker-decade-panel,
.rc-picker-year-panel,
.rc-picker-month-panel,
.rc-picker-week-panel,
.rc-picker-date-panel,
.rc-picker-time-panel {
  display: flex;
  flex-direction: column;
  @apply divide-y;
}
.rc-picker-decade-panel table,
.rc-picker-year-panel table,
.rc-picker-month-panel table,
.rc-picker-week-panel table,
.rc-picker-date-panel table,
.rc-picker-time-panel table {
  text-align: center;
  border-collapse: collapse;
}
.rc-picker-header {
  display: flex;
  & > * {
    @apply flex-none p-2;
  }
}
.rc-picker-header-view {
  @apply flex items-center justify-center gap-2;
  flex: auto;
  text-align: center;
  & > button {
    border: 0;
    padding: 0;
  }
}
.rc-picker-cell {
  @apply text-gray-400;
}
.rc-picker-cell-disabled {
  @apply opacity-20;
}
.rc-picker-cell-inner {
  @apply p-2 m-0 text-sm w-full inline-block box-border border-0 bg-transparent cursor-pointer outline-none hover:bg-green-200;
  transition: background 0.3s, border 0.3s;
}
.rc-picker-cell-in-view {
  color: #333;
}
.rc-picker-cell-in-range {
  & > .rc-picker-cell-inner {
    @apply bg-green-100;
  }
}
.rc-picker-cell-range-hover-start,
.rc-picker-cell-range-hover-end,
.rc-picker-cell-range-hover {
  position: relative;
}
.rc-picker-cell-range-hover-start::after,
.rc-picker-cell-range-hover-end::after,
.rc-picker-cell-range-hover::after {
  content: "";
  @apply absolute top-0 bottom-0 left-0 right-0 border border-green-500 border-l-0 border-r-0 pointer-events-none;
}
.rc-picker-cell-range-hover-start {
  &::after {
    border-left: 1px solid green !important;
  }
}
.rc-picker-cell-range-hover-end {
  &::after {
    border-right: 1px solid green !important;
  }
}
.rc-picker-cell-today {
  & > .rc-picker-cell-inner {
    @apply border border-green-500;
  }
}
.rc-picker-cell-range-start > .rc-picker-cell-inner,
.rc-picker-cell-range-end > .rc-picker-cell-inner,
.rc-picker-cell-selected > .rc-picker-cell-inner {
  @apply bg-green-500 bg-opacity-20;
}
.rc-picker-footer,
.rc-picker-picker-footer {
  @apply bg-slate-100 p-2;
}
.rc-picker-ranges {
  margin: 0;
  padding: 0;
  overflow: hidden;
  list-style: none;
  & > li {
    display: inline-block;
  }
}
.rc-picker-ok {
  font-weight: bold;
  float: right;
}
.rc-picker-year-panel .rc-picker-cell-inner,
.rc-picker-month-panel .rc-picker-cell-inner {
  width: 100%;
}
.rc-picker-week-panel-row {
  &:hover {
    .rc-picker-cell {
      background: red;
    }
  }
}
.rc-picker-week-panel-row-selected {
  .rc-picker-cell {
    background: rgba(0, 0, 255, 0.3);
  }
}
.rc-picker-week-panel .rc-picker-cell,
.rc-picker-week-panel .rc-picker-cell-inner {
  width: 100%;
}
.rc-picker-week-panel {
  .rc-picker-cell-week {
    font-size: 12px;
    color: #999;
    font-weight: bold;
  }
}
.rc-picker-week-panel .rc-picker-cell:hover > .rc-picker-cell-inner,
.rc-picker-week-panel .rc-picker-cell-selected > .rc-picker-cell-inner {
  background: transparent;
}
.rc-picker-date-panel {
  .rc-picker-cell-inner {
    width: 100%;
  }
}
.rc-picker-time-panel {
  width: auto;
  .rc-picker-content {
    display: flex;
    max-height: 200px;
  }
}
.rc-picker-time-panel-column {
  flex: none;
  text-align: left;
  list-style: none;
  margin: 0;
  padding: 0 0 180px 0;
  overflow-y: hidden;
  overflow-x: hidden;
  width: 50px;
  transition: background 0.3s;
  font-size: 12px;
  &:hover {
    overflow-y: auto;
  }
  & > li {
    padding: 0;
    margin: 0;
    cursor: pointer;
    .rc-picker-time-panel-cell-inner {
      color: #333;
      padding: 0 0 0 12px;
      margin: 0;
      height: 20px;
      line-height: 20px;
      display: block;
      width: 100%;
      text-align: left;
    }
  }
}
.rc-picker-time-panel-column-active {
  background: rgba(0, 0, 255, 0.1);
}
.rc-picker-datetime-panel {
  display: flex;
  .rc-picker-time-panel {
    @apply border-l;
  }
}
.rc-picker-datetime-panel .rc-picker-date-panel,
.rc-picker-datetime-panel .rc-picker-time-panel {
  transition: opacity 0.3s;
}
.rc-picker-datetime-panel-active .rc-picker-date-panel,
.rc-picker-datetime-panel-active .rc-picker-time-panel {
  opacity: 0.3;
}
.rc-picker-datetime-panel-active .rc-picker-date-panel-active,
.rc-picker-datetime-panel-active .rc-picker-time-panel-active {
  opacity: 1;
}
.rc-picker-range .rc-picker-input:first-child > input {
  @apply text-right;
}
.rc-picker-input {
  @apply flex-1 w-full bg-none border-none focus:ring-0;
  & > input {
    @apply w-full h-full bg-transparent border-none focus:ring-0 focus-visible:ring-0 focus-visible:outline-none px-3 py-1;
    &::-moz-placeholder {
      opacity: 1;
    }
    &::placeholder {
      color: hsv(0, 0, 75%);
    }
    &:placeholder-shown {
      text-overflow: ellipsis;
    }
  }
}
.rc-picker-input-placeholder {
  & > input {
    color: hsv(0, 0, 75%);
  }
}
.rc-picker-clear {
  position: absolute;
  right: 4px;
  cursor: pointer;
}
.rc-picker-clear-btn {
  &::after {
    content: "×";
  }
}
.rc-picker-dropdown {
  position: absolute;
  .rc-picker-range-arrow {
    @apply absolute w-[10px] h-[10px];
    z-index: 1;
    left: 10px;
    margin-left: 10px;
    transition: all 0.3s;
    &::before {
      @apply border-[5px] border-solid border-b-transparent border-l-transparent;
      width: 10px;
      height: 10px;
    }
    &::after {
      width: 8px;
      height: 8px;
      @apply border-[4px] border-solid border-white border-b-transparent border-l-transparent;
    }
  }
}
.rc-picker-dropdown-range {
  padding: 10px 0;
}
.rc-picker-dropdown-hidden {
  display: none;
}
.rc-picker-dropdown-placement-topLeft .rc-picker-range-arrow,
.rc-picker-dropdown-placement-topRight .rc-picker-range-arrow {
  bottom: 6px;
  transform: rotate(135deg);
}
.rc-picker-dropdown-placement-bottomLeft .rc-picker-range-arrow,
.rc-picker-dropdown-placement-bottomright .rc-picker-range-arrow {
  top: 6px;
  transform: rotate(-45deg);
}
.rc-picker-dropdown-rtl {
  &.rc-picker-dropdown {
    .rc-picker-range-arrow {
      right: 10px;
      left: auto;
      margin-left: 0;
      margin-right: 10px;
    }
  }
}
.rc-picker-dropdown .rc-picker-range-arrow::before,
.rc-picker-dropdown .rc-picker-range-arrow::after {
  content: "";
  @apply absolute box-border top-1/2 left-1/2 -translate-x-1/2 -translate-y-1/2;
}
.rc-picker-dropdown-rtl.rc-picker-dropdown .rc-picker-range-arrow::before,
.rc-picker-dropdown-rtl.rc-picker-dropdown .rc-picker-range-arrow::after {
  @apply right-1/2 left-auto translate-x-1/2 -translate-y-1/2;
}
.rc-picker-range {
  display: inline-flex;
  position: relative;
  .rc-picker-active-bar {
    @apply bg-green-500 bottom-0 h-1 pointer-events-none transition-all opacity-0;
  }
  &.rc-picker-focused {
    .rc-picker-active-bar {
      opacity: 1;
    }
  }
}
.rc-picker-range-wrapper {
  display: flex;
}
.rc-picker-panel-container {
  display: inline-block;
  vertical-align: top;
  transition: margin 0.3s;
}
.rc-picker-full-month-panel {
  .rc-picker-full-month-body {
    .rc-picker-full-month-cell {
      padding: 10px 10px 0 10px;
    }
    .rc-picker-date-panel {
      .rc-picker-cell {
        opacity: 0;
        pointer-events: none;
      }
      .rc-picker-cell-in-view {
        opacity: 1;
        pointer-events: all;
      }
    }
  }
}
.rc-picker-full-month-panel
  .rc-picker-full-month-body
  .rc-picker-header-prev-btn,
.rc-picker-full-month-panel
  .rc-picker-full-month-body
  .rc-picker-header-next-btn,
.rc-picker-full-month-panel
  .rc-picker-full-month-body
  .rc-picker-header-super-prev-btn,
.rc-picker-full-month-panel
  .rc-picker-full-month-body
  .rc-picker-header-super-next-btn,
.rc-picker-full-month-panel .rc-picker-full-month-body .rc-picker-year-btn {
  display: none;
}
